
Base Language - Feature #2132

implement any missing filesys.c features for Windows

04/25/2013 10:50 AM - Greg Shah

Status: Closed Start date: 07/04/2013

Priority: Normal Due date: 07/18/2013

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 80.00 hours

Target version: Runtime Support for Server Features   

billable: No vendor_id: GCD

Description

Related issues:

Related to Base Language - Feature #1626: implement OS-DIR support as an INPU... Closed 11/21/2012

Related to Base Language - Feature #1613: finish FILE-INFO system handle support Closed 10/20/2012

History

#1 - 04/29/2013 07:01 PM - Eugenie Lyzenko

The symlink support added. The approach is based on GetFileAttributes() Windows API call and flag FILE_ATTRIBUTE_REPARSE_POINT. For

symbolic link it is set to TRUE. Was tested on Windows 7 64-bit for link created from file. Also some code cleanup and reworking was performed in

update the Java memory free call was separated to the common code.

#2 - 04/30/2013 09:19 AM - Greg Shah

The changes look good.

#3 - 05/31/2013 09:49 AM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

#4 - 11/16/2016 11:43 AM - Greg Shah

- Target version changed from Milestone 7 to Runtime Support for Server Features
